Namespace
martialblog
Image / Tag
limesurvey:3.16.1_190225-fpm
Content Digest
sha256:8bb11a25c63b74d7433553d7cff5f034dcbacfec2f48772928deb2ab5c8a6812
Details
Created

2019-03-15 15:08:07 UTC

Size

264 MB

Content Digest
Labels

Environment
GPG_KEYS

1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

LIMESURVEY_VERSION

3.16.1+190225

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.2.16.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

7d91ed3c1447c6358a3d53f84599ef854aca4c3622de7435e2df115bf196e482

PHP_URL

https://secure.php.net/get/php-7.2.16.tar.xz/from/this/mirror

PHP_VERSION

7.2.16


Layers

[#000] sha256:f7e2b70d04ae3f516c08c24d88de0f82699aaf3ee98af6eb208bd234136142b4 - 8.14% (21.5 MB)

[#001] sha256:744aedb7995c4cdfa910eed9f3035bdfe6c1670cb8c34b155955961d4123ca79 - 0.0% (226 Bytes)

[#002] sha256:07afe22f8a5850183a444ea563d5b16a0218245dda6ee319c286f72c3e8ea552 - 24.39% (64.3 MB)

[#003] sha256:c7bf4f31c4a4525e2fb402df85bfbd733cd3bfb13560584e4d4ce08b019bb86c - 0.0% (238 Bytes)

[#004] sha256:ef5d4120fc3c030c7cacdd51f228051c2f1f1ac068561170d68792c2c8537ef9 - 4.52% (11.9 MB)

[#005] sha256:8df45836437bc1a5159be318865fc34db13ce160f41b5711dc5885d444ce1448 - 0.0% (501 Bytes)

[#006] sha256:7f5376e534f846c280f76c30b28c6234990683d5c578c4c7811aaa2b5de26dc8 - 10.29% (27.1 MB)

[#007] sha256:5c23bd2c96de1d4eaed979010d2824bcd73c190e7c61e20ece925caecbbb85cb - 0.0% (2.15 KB)

[#008] sha256:617eae5a62fd267d793eb31326d360a546df9e98339ef3ecf3dc6639887bfd02 - 0.0% (259 Bytes)

[#009] sha256:44dbe83279d5483314c8c6f036531f8921c6f007f663b60b736bc5e99169b679 - 0.0% (7.62 KB)

[#010] sha256:d5d9cd185ce0e5f37e89cab7c1ab8bbb2b76824b12007ec3a3994324da542c31 - 1.79% (4.71 MB)

[#011] sha256:2538cf4cd7a62755186d0eacfa28620e7045bf4b05bbcb4357251c92fbf5e612 - 0.0% (169 Bytes)

[#012] sha256:7a9a3df17a38c5aaaa6df4968624bf413ac12bd8361f2867e492e11b57b1e595 - 0.46% (1.22 MB)

[#013] sha256:0ecadda825ac8bef5036a77c675ff2d59a3caa94dbd7acedffbb66042495d9da - 25.03% (66 MB)

[#014] sha256:26725012bf21c2697a90ffc188b17fdda05d37d5400ae5548d955db9bf0c83c7 - 25.38% (66.9 MB)

[#015] sha256:f72708e96737622f2e7d57d8bc972efca8b95d7396290999ee64750474253c6c - 0.0% (1.17 KB)


History
2019-03-04 23:22:21 UTC

/bin/sh -c #(nop) ADD file:5ea7dfe8c8bc87ebe0d06d275bce41e015310bdfc04546246302e9ce07ee416c in /

2019-03-04 23:22:22 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-03-05 01:21:14 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-03-05 01:21:14 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-03-05 01:21:44 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-03-05 01:21:44 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-03-05 01:21:46 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-03-05 01:36:36 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-03-05 01:36:36 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 01:36:37 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 01:36:37 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-03-05 02:06:27 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F

2019-03-09 01:50:09 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.2.16

2019-03-09 01:50:09 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.16.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.16.tar.xz.asc/from/this/mirror

2019-03-09 01:50:10 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=7d91ed3c1447c6358a3d53f84599ef854aca4c3622de7435e2df115bf196e482 PHP_MD5=

2019-03-09 01:50:21 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 01:50:21 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 01:56:53 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 01:56:53 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 01:56:55 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 01:56:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 01:56:55 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 01:56:56 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 01:56:56 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 01:56:57 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-15 14:57:41 UTC

/bin/sh -c #(nop) LABEL [email protected]

2019-03-15 14:57:41 UTC

/bin/sh -c #(nop) ARG version=3.16.1+190225

2019-03-15 14:57:41 UTC

/bin/sh -c #(nop) ARG sha256_checksum=02f876896baed437b95f76f58bf78b70bed9b0d8ec0c2a987ee8faa115ef6527

2019-03-15 14:58:41 UTC

|2 sha256_checksum=02f876896baed437b95f76f58bf78b70bed9b0d8ec0c2a987ee8faa115ef6527 version=3.16.1+190225 /bin/sh -c set -ex; apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends -y libldap2-dev zlib1g-dev libc-client-dev libkrb5-dev libpng-dev libpq-dev netcat && apt-get autoclean; apt-get autoremove; rm -rf /var/lib/apt/lists/*

2019-03-15 14:58:43 UTC

|2 sha256_checksum=02f876896baed437b95f76f58bf78b70bed9b0d8ec0c2a987ee8faa115ef6527 version=3.16.1+190225 /bin/sh -c set -ex; ln -fs /usr/lib/x86_64-linux-gnu/libldap.so /usr/lib/

2019-03-15 15:07:07 UTC

|2 sha256_checksum=02f876896baed437b95f76f58bf78b70bed9b0d8ec0c2a987ee8faa115ef6527 version=3.16.1+190225 /bin/sh -c set -ex; docker-php-ext-configure imap --with-kerberos --with-imap-ssl && docker-php-ext-install -j5 gd imap ldap mbstring pdo pdo_mysql pdo_pgsql pgsql zip

2019-03-15 15:07:07 UTC

/bin/sh -c #(nop) ENV LIMESURVEY_VERSION=3.16.1+190225

2019-03-15 15:07:21 UTC

/bin/sh -c #(nop) ADD 9ef482fc9df90ff0350fad7f8a84baf132fcaa861f7cbdf35b95d13a1f5f8517 in /tmp

2019-03-15 15:08:04 UTC

|2 sha256_checksum=02f876896baed437b95f76f58bf78b70bed9b0d8ec0c2a987ee8faa115ef6527 version=3.16.1+190225 /bin/sh -c set -ex; echo "${sha256_checksum} /tmp/${version}.tar.gz" | sha256sum -c - && tar xzvf "/tmp/${version}.tar.gz" --strip-components=1 -C /var/www/html/ && rm -f "/tmp/${version}.tar.gz" && chown -R www-data:www-data /var/www/html

2019-03-15 15:08:06 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-15 15:08:07 UTC

/bin/sh -c #(nop) COPY file:e0e6ed85a8fd2c3e98eb1e662f7f7a6dafad95c2c9dc3566570d17dee03a4754 in entrypoint.sh

2019-03-15 15:08:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/var/www/html/entrypoint.sh"]

2019-03-15 15:08:07 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete